NodeTaskRunnerInstaller@0 - Node.js任务运行程序安装程序 v0 任务

安装特定Node.js版本以运行节点任务。

语法

# Node.js tasks runner installer v0
# Install specific Node.js version to run node tasks.
- task: NodeTaskRunnerInstaller@0
  inputs:
    nodeVersion: '6' # '6' | '10'. Alias: runnerVersion | installVersion. Required. Version of runner to install. Default: 6.

输入

nodeVersion - 要安装的运行器版本
输入别名: runnerVersion | installVersionstring. 必需。 允许的值: 6 (Node.js 6.17.1) , 10 (Node.js 10.24.1) 。 默认值:6

选择要安装的节点版本。


任务控件选项

除任务输入外,所有任务都有控制选项。 有关详细信息,请参阅 控制选项和常见任务属性

输出变量

无。

备注

采用 排除节点 6 任务运行器的代理版本 时,可能偶尔需要运行尚未更新的任务,以使用较新的 Node 运行器。 对于此方案,我们提供了一种仍使用依赖于节点生命周期运行器的任务的方法。 有关详细信息,请参阅 Node 运行器指南 博客文章

以下任务示例演示如何实时安装 Node 6 运行器,以便旧任务可以成功运行。

  steps:
  - task: NodeTaskRunnerInstaller@0
    inputs:
      runnerVersion: 6

要求

要求 说明
管道类型 YAML、经典版本、经典版本
运行平台 Agent、DeploymentGroup
需求
功能 此任务不满足作业中后续任务的任何要求。
命令限制 任意
可设置变量 任意
代理版本 2.144.0 或更高版本
任务类别 实用工具